### Constructor

# EDataServer WebDAVSession new

since: 3.26

#### Declaration [src]

    EWebDAVSession*
    e_webdav_session_new (
      ESource* source
    )

#### Description [src]

Creates a new `EWebDAVSession` associated with given `source`. The `EWebDAVSession` uses an `ESourceWebdav` extension on certain places when it’s defined for the `source`.

Available since: 3.26

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the function.

#### Return value

Type: `EWebDAVSession`

A new `EWebDAVSession`; free it with g_object_unref(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.